Ubuntu

Madwifi (atheros) driver malfunction induces a system freeze

Reported by madhusudansingh on 2008-09-30
36
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux-restricted-modules (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Hello

I have an extremely annoying situation that has developed recently. It appears that the restricted atheros madwifi drivers :

$lsmod | grep "ath"

ath_rate_sample 14336 1
ath_pci 101024 0
wlan 207728 4 wlan_scan_sta,ath_rate_sample,ath_pci
ath_hal 192592 3 ath_rate_sample,ath_pci

are freezing the system. I am unable to find anything in the logs except the following :

/var/log/messages :

Sep 30 11:09:25 vortex kernel: [ 832.123009] wifi0: rx FIFO overrun; resetting
Sep 30 11:09:55 vortex kernel: [ 862.014595] wifi0: rx FIFO overrun; resetting
Sep 30 11:12:04 vortex kernel: [ 991.516595] wifi0: ath_chan_set: unable to reset channel 6 (2437 MHz) flags 0xc0 'Hardware didn't respond as expected' (HAL status 3)

I also have these messages :

Sep 30 10:56:51 vortex kernel: [ 44.275317] ath_rate_sample: 1.2 (0.9.4)
Sep 30 10:56:51 vortex kernel: [ 44.279464] wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
Sep 30 10:56:51 vortex kernel: [ 44.279469] wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
Sep 30 10:56:51 vortex kernel: [ 44.279478] wifi0: H/W encryption support: WEP AES AES_CCM TKIP
Sep 30 10:56:51 vortex kernel: [ 44.279482] wifi0: mac 7.8 phy 4.5 radio 5.6
Sep 30 10:56:51 vortex kernel: [ 44.279486] wifi0: Use hw queue 1 for WME_AC_BE traffic
Sep 30 10:56:51 vortex kernel: [ 44.279488] wifi0: Use hw queue 0 for WME_AC_BK traffic
Sep 30 10:56:51 vortex kernel: [ 44.279490] wifi0: Use hw queue 2 for WME_AC_VI traffic
Sep 30 10:56:51 vortex kernel: [ 44.279491] wifi0: Use hw queue 3 for WME_AC_VO traffic
Sep 30 10:56:51 vortex kernel: [ 44.279493] wifi0: Use hw queue 8 for CAB traffic
Sep 30 10:56:51 vortex kernel: [ 44.279495] wifi0: Use hw queue 9 for beacons
Sep 30 10:56:51 vortex kernel: [ 44.310805] wifi0: Atheros 5212: mem=0xdfaf0000, irq=19

...

Sep 30 10:58:50 vortex dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.reason
Sep 30 10:58:53 vortex kernel: [ 200.049868] ADDRCONF(NETDEV_CHANGE): ath0: link becomes ready
Sep 30 10:59:03 vortex dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.nis_domain
Sep 30 10:59:03 vortex dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.nis_servers
Sep 30 10:59:03 vortex dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/ath0 for sub-path ath0.dbus.get.interface_mtu

There appears to be no corelation between a system freeze (display is functional but all input - keyboard, mouse, tablet are all lit and dead - the only way out is a hard reboot) and the uptime. Sometimes the system freezes after hours of use, sometimes, its days, sometimes, its only 10 minutes.

The freeze appears to be more likely when there is more heavy network activity.

This is a new problem - I have used this wireless card for more than a year without any issues - these freezes started after I started using the recent 2.6.2* kernels. Its a bug.

The problem manifests itself by onset of network problems - sometimes the shoutcast stream I am listening to on amarok seizes up, then korganizer loses connection to the calendar server, etc. The problems appear to be intermittent, but a freeze follows sooner or later.

I am using Kubuntu KDE3 with NO desktop effects. I have an ATI card, but please do not waste time telling me to disable desktop effects - I do not use them (I have read plenty of bug reports in my efforts to get rid of this so far to know that that is implicated sometimes).

Further details :

$ uname -r
2.6.24-21-generic

$ apt-cache policy linux-restricted-modules
linux-restricted-modules:
  Installed: (none)
  Candidate: 2.6.24.21.23
  Version table:
     2.6.24.21.23 0
        500 http://archive.ubuntu.com hardy-proposed/restricted Packages
     2.6.24.19.21 0
        500 http://us.archive.ubuntu.com hardy-updates/restricted Packages
        500 http://archive.ubuntu.com hardy-security/restricted Packages
        500 http://security.ubuntu.com hardy-security/restricted Packages
     2.6.24.16.18 0
        500 http://us.archive.ubuntu.com hardy/restricted Packages
(from) $sudo lspci -vv
04:02.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC (rev 01)
        Subsystem: D-Link System Inc Unknown device 3a1d
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at dfaf0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

I just discovered I do not have linux-restricted-modules installed, but my kernel's version of that package is installed. Just a note to avoid any confusion.

I have the following :

$ apt-cache policy linux-restricted-modules-2.6.24-20-generic
linux-restricted-modules-2.6.24-20-generic:
  Installed: 2.6.24.14-20.46
  Candidate: 2.6.24.14-20.46
  Version table:
 *** 2.6.24.14-20.46 0
        500 http://archive.ubuntu.com hardy-proposed/restricted Packages
        100 /var/lib/dpkg/status

$ apt-cache policy kubuntu-restricted-extras
kubuntu-restricted-extras:
  Installed: 15.2
  Candidate: 15.2
  Version table:
 *** 15.2 0
        500 http://us.archive.ubuntu.com hardy-updates/multiverse Packages
        500 http://archive.ubuntu.com hardy-updates/multiverse Packages
        100 /var/lib/dpkg/status
     15 0
        500 http://us.archive.ubuntu.com hardy/multiverse Packages

Just installed the linux-restricted-modules package as well (appears to be a metapackage) :

$ apt-cache policy linux-restricted-modules
linux-restricted-modules:
  Installed: 2.6.24.21.23
  Candidate: 2.6.24.21.23
  Version table:
 *** 2.6.24.21.23 0
        500 http://archive.ubuntu.com hardy-proposed/restricted Packages
        100 /var/lib/dpkg/status
     2.6.24.19.21 0
        500 http://us.archive.ubuntu.com hardy-updates/restricted Packages
        500 http://archive.ubuntu.com hardy-security/restricted Packages
        500 http://security.ubuntu.com hardy-security/restricted Packages
     2.6.24.16.18 0
        500 http://us.archive.ubuntu.com hardy/restricted Packages

Let me know if you need further info.

joe williams (joetify) wrote :

I am seeing a similar issue where my machine will lock up randomly. It is a T61 with an nvidia video card and atheros wireless.

I have installed the linux-backports-modules package to see if it helps (since it worked for the intel cards, https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.27/+bug/276990)

hardware info attached.

joe williams (joetify) wrote :
joe williams (joetify) wrote :

i am running ibex with all updates btw.

Renaud Lepage (cybik) wrote :

i'll add this comment:

On a toshiba satellite m71 (iirc), internal atheros card.

Not only has this problem started in Linux, but in addition to THAT, the bug carried on to Windows. The Windows OS started freezing/crashing after I encountered this bug on Ubuntu Hardy Heron.

System with Xpress200KM Chipset, Atheros AR5009G if i recall correctly.

I cannot give you logs for i have replaced the wifi card.

This sounds like something I read on slashdot a few weeks ago - that the
driver was overwriting the flash RAM on the chip. I was in a rush, so did
not note the URL.

As an update, my wireless card stopped being detected a few weeks ago. I
simply found a way to used the wired network. Ever since I stopped using my
wireless card, the crash/freeze problem has gone away (thank God). This is
confirmation that this crash freeze is atheros related and dependent.

On Mon, Oct 27, 2008 at 9:14 AM, cybik <email address hidden> wrote:

> i'll add this comment:
>
> On a toshiba satellite m71 (iirc), internal atheros card.
>
> Not only has this problem started in Linux, but in addition to THAT, the
> bug carried on to Windows. The Windows OS started freezing/crashing
> after I encountered this bug on Ubuntu Hardy Heron.
>
> System with Xpress200KM Chipset, Atheros AR5009G if i recall correctly.
>
> I cannot give you logs for i have replaced the wifi card.
>
> --
> Madwifi (atheros) driver malfunction induces a system freeze (Hardy)
> https://bugs.launchpad.net/bugs/276445
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I also can confirm this bug. Because WLAN is not usable so long this should be maintained more critical. Is there nothing we can do?

Thomas Ohms (tohms) wrote :

I've forgot: have a clean Intrepid installed!

JDS (jeff-newtnotes) wrote :

I am having a very similar problem. Random freezing, but it does seem to be caused by high amounts of network traffic. For example, I can consistently freeze my machine when I do an rsync backup of a large directory (as in 50GB or so) over my LAN to a server machine.

I am *pretty* sure that I did not have this problem until a relatively recent update.

I disabled my wireless in NetworkManager (right-click->Disable Wireless) and am using the wired network and this problem went away! I mention it like this because I do see the wireless card on the system still (i.e. in lspci) and the wireless modules are still loaded, AFAICT. (i.e. I did not disable wireless in the BIOS)

System stats:
Lenove R61
Ubuntu 8.04

uname -a:
Linux jeff-laptop 2.6.24-21-generic #1 SMP Tue Oct 21 23:43:45 UTC 2008 i686 GNU/Linux

See lspci -vvnn output, attached.

Thomas Ohms (tohms) wrote :

I fully aggree with Jeffrey. I have this problem only after torrents and aMule have been running. Sometimes it freezes already after system restart and immediatey starting of aMule.

Vangelis Tasoulas (cyberang3l) wrote :
Download full text (9.7 KiB)

Hello,

I have exactly the same problem!

I have a wireless router with ubuntu 8.04.1 server amd64 installed in it.
linux-restricted-modules-server is installed and the three atheros cards I have on the computer are working, but my logs are filled of the following messages.

As I realized, if there is heavy traffic in the wireless links, I get a system freeze and the only way to make it work again, is to hard reset the system.

My hardy heron server installation is a clean installation without extra software installed from any other repositories or compiled by myself.

[ 123.743982] wifi1: rx FIFO overrun; resetting
[ 144.483652] wifi1: rx FIFO overrun; resetting
[ 148.776776] wifi0: rx FIFO overrun; resetting
[ 180.004606] wifi1: rx FIFO overrun; resetting
[ 183.302246] wifi0: rx FIFO overrun; resetting
[ 191.719875] wifi1: rx FIFO overrun; resetting
[ 192.627124] wifi1: rx FIFO overrun; resetting
[ 204.190854] wifi0: rx FIFO overrun; resetting
[ 207.998050] wifi1: rx FIFO overrun; resetting
[ 208.007314] wifi1: rx FIFO overrun; resetting
[ 210.749221] wifi1: rx FIFO overrun; resetting
[ 210.816101] wifi1: rx FIFO overrun; resetting
[ 212.761075] wifi1: rx FIFO overrun; resetting
[ 216.734022] wifi1: rx FIFO overrun; resetting
[ 218.953313] wifi1: rx FIFO overrun; resetting
[ 219.021589] wifi1: rx FIFO overrun; resetting
[ 221.542853] wifi1: rx FIFO overrun; resetting
[ 221.563488] wifi1: rx FIFO overrun; resetting
[ 221.628344] wifi1: rx FIFO overrun; resetting
[ 222.639861] wifi1: rx FIFO overrun; resetting
[ 232.128181] wifi1: rx FIFO overrun; resetting
[ 233.902064] wifi1: rx FIFO overrun; resetting
[ 233.968936] wifi1: rx FIFO overrun; resetting
[ 244.295052] wifi1: rx FIFO overrun; resetting
[ 246.966877] wifi1: rx FIFO overrun; resetting
[ 248.097370] wifi1: rx FIFO overrun; resetting
[ 248.097902] wifi0: rx FIFO overrun; resetting
[ 248.148615] wifi1: rx FIFO overrun; resetting
[ 249.985135] wifi1: rx FIFO overrun; resetting
[ 250.051365] wifi1: rx FIFO overrun; resetting
[ 251.129600] wifi1: rx FIFO overrun; resetting
[ 252.219987] wifi1: rx FIFO overrun; resetting
[ 252.950020] wifi1: rx FIFO overrun; resetting
[ 256.934653] wifi1: rx FIFO overrun; resetting
[ 257.588001] wifi1: rx FIFO overrun; resetting
[ 257.654253] wifi1: rx FIFO overrun; resetting
[ 260.054237] wifi1: rx FIFO overrun; resetting
[ 260.498736] wifi1: rx FIFO overrun; resetting
[ 260.669070] wifi1: rx FIFO overrun; resetting
[ 262.000354] wifi1: rx FIFO overrun; resetting
[ 266.287543] wifi1: rx FIFO overrun; resetting
[ 266.287585] wifi0: rx FIFO overrun; resetting
[ 266.855723] wifi1: rx FIFO overrun; resetting
[ 266.882176] wifi1: rx FIFO overrun; resetting
[ 268.310498] wifi1: rx FIFO overrun; resetting
[ 275.181613] wifi1: rx FIFO overrun; resetting
[ 277.311492] wifi0: rx FIFO overrun; resetting
[ 279.614358] wifi1: rx FIFO overrun; resetting
[ 280.144500] wifi1: rx FIFO overrun; resetting
[ 284.115790] wifi1: rx FIFO overrun; resetting
[ 287.317259] wifi1: rx FIFO overrun; resetting
[ 287.378563] wifi1: rx FIFO overrun; resetting
[ 291.153347] wifi1: rx FIFO overrun; resetting
[ 292.127141] wifi1: rx FI...

Read more...

parda (parda-dapar) wrote :

Hello,

I have a similar problem, but it's even more annoying, because the computer freeze when i try to connect in WPA. My wifi chipset is a Atheros ar5008, and I'm trying to make it function on a clean and updated install of Intrepid. If i should give more informations, please tell me.

parda (parda-dapar) wrote :

I just want to add that I have no others networs to try to connect without protection to see if the freeze appears too.

Thomas Ohms (tohms) wrote :

Confirmed because many people are having this problem and it is reproducable.

Changed in linux-restricted-modules:
status: New → Confirmed
Vangelis Tasoulas (cyberang3l) wrote :

After a long research I found that most probably there is a problem with madwifi drivers and motherboard interrupts....

check your /proc/interrupts to see if there is any conflict (wifi interface is using the same interrupt with anything else).
I changed the motherboard (even if it was a brand new one!!!) and now the problem has totally disappeared!!!
No errors in the logs, no crashes at all and my three wifi cards works absolutely fine!

How would I go about doing that?
What am I looking for?
What can I do about it? ( I have a laptop -- Lenovo R61 -- and
replacing the mobo isn't really an option)

Here is my output from `cat /proc/interrupts`. Notice there is a line
with wifi0 in it that also lists usb4, ohci1394 and HDA Intel. Is that
the problem? Or is this all barking up the wrong tree?

Thanks!

----- BEGIN -----
root@jeff-laptop:~# cat /proc/interrupts
           CPU0 CPU1
  0: 13829949 13852385 IO-APIC-edge timer
  1: 17 15 IO-APIC-edge i8042
  8: 47644 47972 IO-APIC-edge rtc
  9: 34944 35043 IO-APIC-fasteoi acpi
 12: 57 50 IO-APIC-edge i8042
 14: 38297 38242 IO-APIC-edge libata
 15: 0 0 IO-APIC-edge libata
 16: 3787976 3776712 IO-APIC-fasteoi uhci_hcd:usb3, yenta, nvidia
 17: 3155156 3147745 IO-APIC-fasteoi uhci_hcd:usb1
 18: 20 21 IO-APIC-fasteoi uhci_hcd:usb2
 19: 181625 181205 IO-APIC-fasteoi ehci_hcd:usb6
 21: 935070 930591 IO-APIC-fasteoi uhci_hcd:usb4,
ohci1394, wifi0, HDA Intel
 22: 0 0 IO-APIC-fasteoi uhci_hcd:usb5, sdhci:slot0
 23: 2810358 2811362 IO-APIC-fasteoi ehci_hcd:usb7
216: 2054927 2053911 PCI-MSI-edge eth0
217: 1424061 1424727 PCI-MSI-edge ahci
NMI: 0 0 Non-maskable interrupts
LOC: 7811088 7789559 Local timer interrupts
RES: 8219997 8438997 Rescheduling interrupts
CAL: 3471 2147 function call interrupts
TLB: 55516 54434 TLB shootdowns
TRM: 0 0 Thermal event interrupts
SPU: 0 0 Spurious interrupts
ERR: 0
MIS: 0
----- END -----

On Tue, Dec 2, 2008 at 8:51 AM, Vangelis Tasoulas <email address hidden> wrote:
>
> <snip!>
> check your /proc/interrupts to see if there is any conflict (wifi interface is using the same interrupt with anything else).
> I changed the motherboard (even if it was a brand new one!!!) and now the problem has totally disappeared!!!
> No errors in the logs, no crashes at all and my three wifi cards works absolutely fine!

--
JDS

Vangelis Tasoulas (cyberang3l) wrote :

Just for a quick test....
As I see your wifi0 is sharing the interrupt with usb, firewire and sound card..
21: 935070 930591 IO-APIC-fasteoi uhci_hcd:usb4, ohci1394, wifi0, HDA Intel

So try to disable from your BIOS the usb, firewire and sound card if possible.
Then boot again and check the behavior!

As you see in my interrupts below, with the new motherboard there is one interrupt for each device so there is no conflict...

I will also mention that the previous motherboard with the problem, had an intel G31 chipset and the new one has an nvidia nForce 630i chipset on it.

# cat /proc/interrupts
           CPU0 CPU1
  0: 1203 0 IO-APIC-edge timer
  1: 8 0 IO-APIC-edge i8042
  4: 9 0 IO-APIC-edge
  6: 3 0 IO-APIC-edge floppy
  7: 1 0 IO-APIC-edge parport0
  8: 395131632 0 IO-APIC-edge rtc
  9: 0 0 IO-APIC-fasteoi acpi
 14: 2287253 0 IO-APIC-edge libata
 15: 0 0 IO-APIC-edge libata
 16: 0 0 IO-APIC-fasteoi ehci_hcd:usb1
 17: 0 0 IO-APIC-fasteoi ohci_hcd:usb2
 19: 5533159 0 IO-APIC-fasteoi eth1
 21: 49688720 0 IO-APIC-fasteoi wifi0
 22: 45243350 0 IO-APIC-fasteoi wifi1
 23: 45394020 0 IO-APIC-fasteoi wifi2
219: 25591033 0 PCI-MSI-edge eth0
220: 0 0 PCI-MSI-edge ahci
NMI: 0 0 Non-maskable interrupts
LOC: 22864422 20017440 Local timer interrupts
RES: 254929 17108105 Rescheduling interrupts
CAL: 43693 169442 function call interrupts
TLB: 257536 285735 TLB shootdowns
TRM: 0 0 Thermal event interrupts
SPU: 0 0 Spurious interrupts
ERR: 1
MIS: 0

Thomas Ohms (tohms) wrote :

That was a good idea, but seems to be only a coincidence. As you can see in attached file I only have wifi on the corresponding interrupt.

Vangelis Tasoulas (cyberang3l) wrote :

So it is something with specific motherboard chipsets and the driver :(

Thomas Ohms (tohms) wrote :

Well, I don't think it's the be motherboard, but it needs to be something specific. Else we would have even more people complaining about this. Let's see: could everybody who has reported this bug please tell us what chipset they have!?
Here's my data:

Chipset: SiS 1039
Atheros: AR242x

Thomas Ohms (tohms) wrote :

Wait folks. I had a look on madwifis ticket system and found this: http://madwifi-project.org/ticket/1903
It seems to be the same problem and they're already on it. I asked the assigned guy if there is any update, but for now it seems using channel 1 should be a workaround. I'll give it a try and get back to you with the results.

Vangelis Tasoulas (cyberang3l) wrote :

Thomas, In the bug you mentioned it says somewhere: "Station mode (sta) on the same Maschine runs very nice without any problems."
All the three of my links runs in station mode....

The chipset that induces the freeze for me is:

Chipset: Intel® G31 + ICH7
Atheros: AR5212/AR5213

Thomas Ohms (tohms) wrote :

Ok, but give the channel workaround a try. My wifi is still working as I can reach my PC.

JDS (jeff-newtnotes) wrote :

How can I determine what chipset?

On Thu, Dec 4, 2008 at 1:23 AM, Thomas Ohms <email address hidden> wrote:
> Well, I don't think it's the be motherboard, but it needs to be something specific. Else we would have even more people complaining about this. Let's see: could everybody who has reported this bug please tell us what chipset they have!?
> Here's my data:
>
> Chipset: SiS 1039
> Atheros: AR242x
<snip!>

--
JDS

Thomas Ohms (tohms) wrote :

As already said it isn't necessary to know the chipset. If you have this bug, try changing your wifi channel to "1" and let us know the result.

Vangelis Tasoulas (cyberang3l) wrote :

I can`t change to channel 1 cause I am playing in the 5GHz band....

As for the chipset I just read which one I have from the motherboard specifications (use google for it).

Thomas Ohms (tohms) on 2008-12-05
Changed in linux-restricted-modules:
status: New → Confirmed
JDS (jeff-newtnotes) wrote :

Howdy. How can I do this? I am using Ubuntu 8.04 w/NetworkManager as
the wifi manager. Should I change this on the wireless access point or
on my internal wireless card? thanks.

On Thu, Dec 4, 2008 at 9:44 AM, Thomas Ohms <email address hidden> wrote:
> As already said it isn't necessary to know the chipset. If you have this
> bug, try changing your wifi channel to "1" and let us know the result.
>
> --
<snip!>

--
JDS

Vangelis Tasoulas (cyberang3l) wrote :

Change it to the Access Point and your client will connect automatically to the AP with its channel.

JDS (jeff-newtnotes) wrote :

Okay, thanks.

Well, as it turns out, I already have my access point -- a linksys
wrt54gl router, actually -- set to use Channel 1. And I always have,
even when I was having problems with this bug (which I am not having
anymore only because I disabled wireless :( )

Seeya...

On Fri, Dec 5, 2008 at 10:24 AM, Vangelis Tasoulas <email address hidden> wrote:
> Change it to the Access Point and your client will connect automatically
> to the AP with its channel.
>
>
<snip!>

--
JDS

Thomas Ohms (tohms) wrote :

I'm afraid I have to confirm. My wifi runs a bit longer it seems, but at the end it freezes the system again. Guess we don't have any other chance as of waiting for some news from madwifi group. Except someone here is used in driver programming.

Vangelis Tasoulas (cyberang3l) wrote :

So keep reporting motherboard/atheros chipsets :)
We might find a coincidence.....

Thomas Ohms (tohms) wrote :

I dont't think that it is helpful because we both have already a completely different kind of chipset. Also the bug was already found, but this guy doesn't find an easy way of backporting. Maybe we better should try an older version of madwifi and if that's working fine asking the packager of ubuntu to redistribute the old one instead until a new version is coming out. Would be nice if a Ubunter could give us a sign of existence here! ;)

MMarking (cpt-mocha) wrote :

I just experienced a freeze on Intrepid, this is the first time it's happened on Intrepid. It also happened to me once under Hardy. It's definitely a random thing. I think it has something to do with signal strength and those "wifi0: rx FIFO overrun; resetting" messages. I only get those when my signal quality is low and is doing a lot of disconnecting/reconnecting while in the process of transferring data.

2.6.27-10-generic

Motherboard: Asus P5B-E

05:02.0 Ethernet controller: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)

ath_rate_sample 19968 1
ath_pci 99096 0
wlan 211952 4 wlan_scan_sta,ath_rate_sample,ath_pci
ath_hal 198864 3 ath_rate_sample,ath_pci

cat /proc/interrupts
23: 28556 0 IO-APIC-fasteoi uhci_hcd:usb4, ehci_hcd:usb7, wifi0

[ 24.118588] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[ 24.498332] ath_pci: 0.9.4
[ 25.249886] ath_pci 0000:05:02.0: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[ 25.832405] ath_rate_sample: 1.2 (0.9.4)
[ 25.868837] wifi0: Atheros 5212: mem=0xfeaf0000, irq=23

[ 25.832857] wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
[ 25.832863] wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
[ 25.832874] wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
[ 25.832881] wifi0: H/W encryption support: WEP AES AES_CCM TKIP
[ 25.832886] wifi0: mac 7.9 phy 4.5 radio 5.6
[ 25.832890] wifi0: Use hw queue 1 for WME_AC_BE traffic
[ 25.832892] wifi0: Use hw queue 0 for WME_AC_BK traffic
[ 25.832894] wifi0: Use hw queue 2 for WME_AC_VI traffic
[ 25.832896] wifi0: Use hw queue 3 for WME_AC_VO traffic
[ 25.832897] wifi0: Use hw queue 8 for CAB traffic
[ 25.832899] wifi0: Use hw queue 9 for beacons
[ 25.868837] wifi0: Atheros 5212: mem=0xfeaf0000, irq=23

alejaaandro (alejaaandro) wrote :

unfortunatelly i have the same problem, and, i too, only got it after upgrading to intrepid (even though i think it was already a known problem)... same case, experiencing kernel panics mostly when doing intense network stuff...

i installed linux-backports-modules thinking it might help.. nothing

i tried the next kernel which is in intrepi-proposed (i think 2-6-28).. still getting the panic

i haven't had the problem for a a week or so, but that's just because my modem broke (so now i have to get myself a new one as a late christmas present) and i cant use the wifi rooter -i am curently using an old usb modem with no ethernet output to conect to the wifi router..

as soon as i get if all set up again, and experience the panic i ll check if i have the same messages..

i really hope we have some news some time soon cause i've allready thought of downgrading to 8.04

ps... Ethernet controller: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)

alejaaandro (alejaaandro) wrote :

cheers everybody.. i have good news...

after setting up everything with the new modem, i haven't had a kernel panic the whole day (some serious traffic has been going on like p2p more than 500 kBs, media streaming etc).. i sure hope it's not just luck..

i did 2 things..

1) changed my wireless router to "802.11b only" instead of "b and g"... i 'm not sure that this is what made it work 'cause i think i had already tried that before.. strange thing though: iwconfig gives me

ath0 IEEE 802.11g

but in case you cant' do that,
2) the second thing i tried is enabling the ath9k driver module.. apparently in 8.10 it's already in there (at least that's what i think) so just do

sudo modprobe ath9k

and then

lsmod |grep ath

and check it's enabled.. notice that you'll have to do that again if you restart, but if it actually works you can just add it as a startup command in system->preferences->sessions

i'd love to hear that it worked for you too

alejaaandro (alejaaandro) wrote :

sorry guys, bad news... it was probably wrong getting too excited and posting without testing it longer..

i changed my router back to "b and g" to check if that was what fixed it and 10 min later i got a panic..
so that leaves me with either luck or the 801.11g being the problem.. i ll report back after some time so i can be sure next time..

i didn't seem to find any log messages concerning the problem...

lamo (blackvd) wrote :

I'm also having this problem after installing Intrepid. I downgraded to Hardy for a week and had no problems. Now I'm back on Intrepid and I'm experiencing freezing 2 to 3 times daily when running torrents. I have a Netgear pci wireless adapter using the 5xxx series Atheros 802.11 driver. Also installed backports with no luck. Getting the same errors of "wifi0: rx FIFO overrun; resetting". This is definitely a major bug that from my googling looks to have been going on for almost a year now. Don't understand why it wouldn't get fixed ASAP as its the only option for internet for a lot of people. I'm gonna stop bittorrent before I go to sleep and see if it's frozen by morning.

lamo (blackvd) wrote :

After running this command:

iwpriv ath0 bgscan 0

My computer hasn't frozen once for in 3 days now.

alejaaandro (alejaaandro) wrote :

it's definitely related to 802.11g because i set my wireless router to "only b" and haven't got a freeze since..
so there is a solution for those that have admin privileges on the router they're connecting (there should be an option for that)..

i have yet to try lamos' solution to confirm..
care to share some info about where you figured it out (or where you read about it) and what it's supposed to do?

lamo (blackvd) wrote :

alejaaandro, Sorry forgot to post the link. Found it in this forum post at the bottom.

http://madwifi-project.org/ticket/1562

Thomas Ohms (tohms) wrote :

I have also good news: My system is up and running now for 8 days with a total load of 4,0GB(Down) and 2,1GB(Up).
Solution by now was changing the driver to ath5k (for Atheros 9xxx use ath9k). Be aware that it gives a new problem (see #291760), but it doesn't affect my system much and everything is running stable.

So here's it all together:
Channel: 1
Mode: 54g
Driver: ath5k

I haven't tried yet if it's still stable when using a higher channel, but maybe someone else likes to test it!?

Michael Hogan (xethik) wrote :

I've been getting a very similar problem, but I've noticed something VERY different. All of the "temporary fixes" in this thread do not work for me and even if I disable my Wireless, I still get random freezes. BUT if I'm not connected to the internet the:
"wifi0: rx FIFO overrun; resetting" won't show up. So, I could be wrong here, but if anyone is having the same problem as me, the overrun might be an effect, not a cause. Again, I'm probably wrong, but it might be something different I have all together. The symptoms are about the same. Every 30 seconds or so, I freeze up, and I can't do anything. Sometimes, I'll recover. Other times, it's game over. I have to reboot.

Hopefully this helps as I really would like to be able to use Ubuntu more often.

alejaaandro (alejaaandro) wrote :

i never got back to it because i set my router to 802.11g in order to get a freeze and try lamos' solution..
Strange thing though, i never got a freeze.. so, i don't know if something i did accidentally fixed the problem, or if a fix was issued in an update..

i set it back to b and g to see if it makes a difference, if so i will report back (my guess is i won't get a problem)...

@Michael: i have a feeling that you might have a different problem... or to be more precise, you might have this problem, and another one as well, since all of these posts have at least one thing in common: they're related to internet activity.. if you disable that, i think there's no reason for you to be getting this particular problem..
The symptoms (not responding to anything and caps lock flashing) is a kernel panic and it's what happens when the kernel crashes (i think it's something like the "blue screen" of windows), so it doesn't necessarily point you to a specific problem..
(i don't consider myself a Linux expert, so i might be wrong)

in the meantime, try gpowertweak (install it by running sudo apt-get install powertweak-gtk).
This will not fix your problem, but there is a setting (under kernel->logging) that will reboot your computer after a kernel panic.. This just might be a little safer than a hard reboot (turnig off the power)

Iain Buclaw (ibuclaw) wrote :
Download full text (7.0 KiB)

I do believe I'm getting something similar to this.

I don't have anything in logs that would suggest a fail, but after a period of around 4-6 hours network inactivity, my system will freeze once I start using the network device again (ie: checking for updates).

General Information:

cat /proc/interrupts
 17: 159718 IO-APIC-fasteoi wifi0

dmesg | grep -i wifi
[ 20.192961] wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
[ 20.192968] wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
[ 20.192976] wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
[ 20.192982] wifi0: H/W encryption support: WEP AES AES_CCM TKIP
[ 20.192985] wifi0: mac 7.9 phy 4.5 radio 5.6
[ 20.192991] wifi0: Use hw queue 1 for WME_AC_BE traffic
[ 20.192993] wifi0: Use hw queue 0 for WME_AC_BK traffic
[ 20.192995] wifi0: Use hw queue 2 for WME_AC_VI traffic
[ 20.192997] wifi0: Use hw queue 3 for WME_AC_VO traffic
[ 20.192998] wifi0: Use hw queue 8 for CAB traffic
[ 20.193000] wifi0: Use hw queue 9 for beacons
[ 20.218162] wifi0: Atheros 5212: mem=0xf9fe0000, irq=17

dmesg | grep -i ath
[ 0.400786] CPU0: AMD Athlon(tm) 64 Processor 3000+ stepping 02
[ 19.256625] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[ 19.336599] ath_pci: 0.9.4
[ 19.337070] ath_pci 0000:00:09.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 20.191841] ath_rate_sample: 1.2 (0.9.4)
[ 20.218162] wifi0: Atheros 5212: mem=0xf9fe0000, irq=17
[ 63.604024] ath0: no IPv6 routers present

ifconfig
ath0 Link encap:Ethernet HWaddr 00:18:4d:76:46:37
          inet addr:192.168.1.8 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::218:4dff:fe76:4637/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:14489 errors:0 dropped:0 overruns:0 frame:0
          TX packets:9537 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:21146079 (21.1 MB) TX bytes:843931 (843.9 KB)

wifi0 Link encap:UNSPEC HWaddr 00-18-4D-76-46-37-00-00-00-00-00-00-00-00-00-00
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:62518 errors:0 dropped:0 overruns:0 frame:8135
          TX packets:10950 errors:13 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:199
          RX bytes:46409896 (46.4 MB) TX bytes:1305294 (1.3 MB)
          Interrupt:17

lsmod | grep ath
ath_rate_sample 21248 1
ath_pci 109168 0
wlan 234784 6 wlan_tkip,wlan_ccmp,wlan_scan_sta,ath_rate_sample,ath_pci
ath_hal 225904 3 ath_rate_sample,ath_pci

Also, don't know the importance of it, but this happens every 2-5 minutes, and is the last thing that is logged before each crash. (This is a merge between the daemon.log and kern.log)

Mar 20 05:55:01 intrepid NetworkManager: <info> (ath0): supplicant connection state change: 7 -> 0
Mar 20 05:55:01 intrepid NetworkManager: <info> (ath0): supplicant connection state change: 0 -> 4
Mar 20 05:55:01 intrepid NetworkManager: <info> (ath0): supplicant connection state change: 4...

Read more...

This is supposed to get fixed by the next madwifi release

I built the latest madwifi source from their svn repository and it solved the problem for me.

Well, it worked for two full days, but it's back to doing it again.

Here's another madwifi bug ticket that could be the cause of the problem:
http://madwifi-project.org/ticket/1903

Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. The bug is still marked as confirmed in later versions of Ubuntu.

Changed in linux-restricted-modules (Ubuntu Intrepid):
status: Confirmed → Invalid
Xiao Ke (michael-schaut) wrote :

Please also see Bug #616947

I have a very similar problem as described in in this report as well as in Bug #616947 which may be both related to each other.

When systems freezes, caps lock panel flashes, which refers to a kernel panic. Screen gets blank and input of mouse and keyboard is not possible.

The problem occured only recently and was reproduceable when under heavy network traffic. When using the network cable, everything works fine.

I am using an IBM Thinpad T43 with an Atheros chipset. System is LTS 10.04 and updated.

Xiao Ke (michael-schaut) wrote :

See bug report #426130

As a workaround deinstalling gnome network manager and instead using wicd seems to work fine.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.